summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Ozan Türkyılmaz <ozan.turkyilmaz@gmail.com>2010-05-13 00:59:25 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:59:25 +0200
commitcffa06022cc9c0978104f4cf01cc98170bcafebb (patch)
treeb55d9dcf7e7f341a5c9a2abfb68a534d3963784f /misc
parent77d806225733863f43586474f705265839bf6ea3 (diff)
downloadslackbuilds-cffa06022cc9c0978104f4cf01cc98170bcafebb.tar.gz
slackbuilds-cffa06022cc9c0978104f4cf01cc98170bcafebb.tar.xz
misc/ibus-anthy: Added to 13.0 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/ibus-anthy/README10
-rw-r--r--misc/ibus-anthy/doinst.sh6
-rw-r--r--misc/ibus-anthy/ibus-anthy.SlackBuild72
-rw-r--r--misc/ibus-anthy/ibus-anthy.info10
-rw-r--r--misc/ibus-anthy/slack-desc19
5 files changed, 117 insertions, 0 deletions
diff --git a/misc/ibus-anthy/README b/misc/ibus-anthy/README
new file mode 100644
index 0000000000..2eeccd7a04
--- /dev/null
+++ b/misc/ibus-anthy/README
@@ -0,0 +1,10 @@
+Ibus module for Anthy Japanese conversion engine.
+
+Ibus-Anthy allows users to use Anthy Japanese conversion engine in
+Ibus Intelligent Input Bus, a new input framework for Linux.
+
+This requires ibus.
+
+After the install of the package, add Japanse-Anthy Input Method in
+IBus preferences, Input Method Tab. You will also need to restart
+the ibus service after upgrading this package.
diff --git a/misc/ibus-anthy/doinst.sh b/misc/ibus-anthy/doinst.sh
new file mode 100644
index 0000000000..30eb690936
--- /dev/null
+++ b/misc/ibus-anthy/doinst.sh
@@ -0,0 +1,6 @@
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/misc/ibus-anthy/ibus-anthy.SlackBuild b/misc/ibus-anthy/ibus-anthy.SlackBuild
new file mode 100644
index 0000000000..75bce15575
--- /dev/null
+++ b/misc/ibus-anthy/ibus-anthy.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for ibus-anthy
+
+# Written by Ozan Türkyılmaz ozan.turkyilmaz@gmail.com
+# This script is in public domain.
+
+PRGNAM=ibus-anthy
+VERSION=${VERSION:-1.2.0.20100115}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG # ibus-anthy strips itself
+
+# there's no man pages to compress
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/ibus-anthy/ibus-anthy.info b/misc/ibus-anthy/ibus-anthy.info
new file mode 100644
index 0000000000..61740efdf7
--- /dev/null
+++ b/misc/ibus-anthy/ibus-anthy.info
@@ -0,0 +1,10 @@
+PRGNAM="ibus-anthy"
+VERSION="1.2.0"
+HOMEPAGE="http://code.google.com/p/ibus/"
+DOWNLOAD="http://ibus.googlecode.com/files/ibus-anthy-1.2.0.20100115.tar.gz"
+MD5SUM="0d067d7506a2a20763ef4a7056b8eb99"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ozan Türkyılmaz"
+EMAIL="ozan.turkyilmaz@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/misc/ibus-anthy/slack-desc b/misc/ibus-anthy/slack-desc
new file mode 100644
index 0000000000..98b5ddf74e
--- /dev/null
+++ b/misc/ibus-anthy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ibus-anthy: ibus-anthy (Anthy Japanese engine for ibus)
+ibus-anthy:
+ibus-anthy: Ibus-anthy allows users to use anthy Japanese conversion engine in
+ibus-anthy: Ibus Intelligent Input Bus, a new imput framework for Linux.
+ibus-anthy:
+ibus-anthy: http://code.google.com/p/ibus/
+ibus-anthy:
+ibus-anthy:
+ibus-anthy:
+ibus-anthy:
+ibus-anthy: